<copyright> gtomk Container class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Container.t,v 1.5 1998/04/14 13:25:05 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkContainer: GtkWidget

end;

implementation instance
GtkContainer

<doc> Return the {gtkContainer} for which this object stands.  </doc>
pointer
  gtkContainer
{
  = object;
}

<doc> Pass to {gtk_container_border_width}.  </doc>
void
  border_width int width
{
  pointer obj = object;

<c>
  gtk_container_border_width (obj, width);
</c>
}

<doc> Invoke {gtk_container_add}.  </doc>
void
  add GtkWidget widget
{
  pointer obj = object;
  pointer wid = [widget gtkWidget];

<c>
  gtk_container_add (obj, wid);
</c>
}

<doc> Invoke {gtk_container_remove}.  </doc>
void
  remove GtkWidget widget
{
  pointer obj = object;
  pointer wid = [widget gtkWidget];

<c>
  gtk_container_remove (obj, wid);
</c>
}

<doc> Pass on to {gtk_container_disable_resize}.  </doc>
void
  disable_resize
{
  pointer obj = object;

<c>
  gtk_container_disable_resize (obj);
</c>
}

<doc> Pass on to {gtk_container_enable_resize}.  </doc>
void
  enable_resize
{
  pointer obj = object;

<c>
  gtk_container_enable_resize (obj);
</c>
}

<doc> Pass on to {gtk_container_block_resize}.  </doc>
void
  block_resize
{
  pointer obj = object;

<c>
  gtk_container_block_resize (obj);
</c>
}

<doc> Pass on to {gtk_container_unblock_resize}.  </doc>
void
  unblock_resize
{
  pointer obj = object;

<c>
  gtk_container_unblock_resize (obj);
</c>
}

<doc> Pass on to {gtk_container_need_resize}.  </doc>
boolean (result)
  need_resize
{
  pointer obj = object;
<c>
  result = gtk_container_need_resize (obj);
</c>
}

// This should be accompanied by something slightly more high-level.
// Tue Mar 31 22:50:00 1998, tiggr@gerbil.org
<doc> Pass on to {gtk_container_foreach}.  </doc>
void
  foreach (pointer, pointer) (callback, callback_data)
{
  pointer obj = object;

<c>
  gtk_container_foreach (obj, callback, callback_data);
</c>
}

// void
//   foreach_interp
// void
//   foreach_full

<doc> Pass on to {gtk_container_focus}.  </doc>
int (result)
  focus int GTK_DIR_something
{
  pointer obj = object;

<c>
  result = gtk_container_focus (obj, GTK_DIR_something);
</c>
}

// Very low-level...
// Tue Mar 31 22:53:12 1998, tiggr@gerbil.org
<doc> Pass on to {gtk_container_children}.  </doc>
pointer (result)
  children
{
  pointer obj = object;

<c>
  result = gtk_container_children (obj);
</c>
}

<doc> Pass on to {gtk_container_register_toplevel}.  </doc>
void
  register_toplevel
{
  pointer obj = object;

<c>
  gtk_container_register_toplevel (obj);
</c>
}

<doc> Pass on to {gtk_container_unregister_toplevel}.  </doc>
void
  unregister_toplevel
{
  pointer obj = object;

<c>
  gtk_container_unregister_toplevel (obj);
</c>
}

end;
