<copyright> gtomk FileSelection class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: FileSelection.t,v 1.6 1998/04/14 13:25:14 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkFileSelection: GtkWindow

<doc> Create a new file selection, using {gtk_file_selection_new}.  </doc>
instance (id)
  new String title
{
  pointer p;
  int len;
<c>
  {
    char *s;

    C_STRING_WITH_TOM_STRING (s, len, title);

    p = gtk_file_selection_new (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkFileSelection

<doc> Return the {gtkFileSelection} for which this object stands.  </doc>
pointer
  gtkFileSelection
{
  = object;
}

void
  set_filename String filename
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, filename);
    gtk_file_selection_set_filename (obj, s);
  }
</c>
}

String (filename)
  get_filename
{
  pointer obj = object;
<c>
  {
    char *s = gtk_file_selection_get_filename (obj);
    filename = (void *) byte_string_with_c_string (s);
  }
</c>
}

void
  show_fileop_buttons
{
  pointer obj = object;
<c>
  gtk_file_selection_show_fileop_buttons (obj);
</c>
}

void
  hide_fileop_buttons
{
  pointer obj = object;
<c>
  gtk_file_selection_hide_fileop_buttons (obj);
</c>
}

/******************** accessor methods ********************/

GtkButton
  ok_button
{
  pointer obj = object, button;
<c>
  button = GTK_FILE_SELECTION (obj)->ok_button;
</c>
  = [GtkButton proxy button create: YES];
}

end;
